#!/bin/sh

###############################################################################
#      R E T R I E V E            A P P _ H O M E           P A T H           #
###############################################################################

SCRIPT_PATH=`dirname "$0"`
cd "$SCRIPT_PATH"
APP_BIN=`pwd`
APP_HOME=`dirname "$APP_BIN"`  

###############################################################################
#      R E T R I E V E           J A V A _ H O M E           P A T H          #
###############################################################################

JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home

if [ ! -x "$APP_HOME/jvm" ];
then
   echo "$APP_HOME/jvm does not exist!"
   ln -sf "${JAVA_HOME}" "${APP_HOME}/jvm"
fi

###############################################################################
#      E X E C U T I O N          J A V A         P R O P E R T I E S         #
###############################################################################
# The following properties are referenced from path APP_HOME

LIB_HOME=./bin
JAVA_OPTS="-Xrs -Xmx128m -Djava.library.path=${LIB_HOME}"
CLASSPATH=${LIB_HOME}:${LIB_HOME}/obcs.jar:${LIB_HOME}/obc-lib.jar
MAIN_CLASS=obcs

###############################################################################
#                  J A V A                 E X E C U T I O N                  #
###############################################################################
cd "${APP_HOME}"

mkdir -p "${APP_HOME}/log"
mkdir -p "${APP_HOME}/log/Scheduler"
"${APP_HOME}/jvm/bin/java" $JAVA_OPTS -cp "${CLASSPATH}" "${MAIN_CLASS}" . > "${APP_HOME}/log/Scheduler/console.log" 2>&1 
